Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.processor.type.comm
Class ColumnlistCommaProcessor

    java.lang.Object
      gudusoft.gsqlparser.pp.processor.type.comm.AbstractProcessor<TParseTreeNodeList>
          gudusoft.gsqlparser.pp.processor.type.comm.ColumnlistCommaProcessor

    public class ColumnlistCommaProcessor

extends AbstractProcessor<TParseTreeNodeList>

used for comma style

Author:
  zhoujun
See Also:
  `GFmtOpt.Select_Columnlist_Style, GFmtOpt.Select_Columnlist_Comma`

Constructor Summary
`ColumnlistCommaProcessor()`

Method Summary
`static java.lang.Object[]` | `getNextNotEmptyNode(TParseTreeNodeList list, int startPos)` fetch the next not empty node
`void` | `process(TParseTreeNodeList columns)`
`static void` | `processColumns(GFmtOpt opt, TLinefeedsCommaOption p, TAlignStyle alignStype, TParseTreeNodeList columns)`

Methods inherited from class gudusoft.gsqlparser.pp.processor.type.comm.AbstractProcessor
`afterProcess, beforeProcess, getOption, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnlistCommaProcessor

    public ColumnlistCommaProcessor()

Method Detail

### getNextNotEmptyNode

    public static java.lang.Object[] getNextNotEmptyNode(TParseTreeNodeList list,
                                                         int startPos)

  fetch the next not empty node

  Parameters:
    `list` - the node list
    `startPos` - current position
  Returns:
    the first element is the node and the second one is its position.

### processColumns

    public static void processColumns(GFmtOpt opt,
                                      TLinefeedsCommaOption p,
                                      TAlignStyle alignStype,
                                      TParseTreeNodeList columns)

### process

    public void process(TParseTreeNodeList columns)

  Overrides:
    `process` in class `AbstractProcessor<TParseTreeNodeList>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD